Saxon API for .NET |

# IQueryResolver.GetModules Method

Given a module URI and a set of location hints, return a set of query modules.

Uri[] GetModules(
string moduleUri,
Uri baseUri,
string[] locationHints
);

#### Parameters

moduleUri
  The URI of the required library module as written in the `import module` declaration
baseUri
  The base URI of the module containing the `import module` declaration
locationHints
  The sequence of URIs (if any) listed as location hints in the `import module` declaration in the query prolog.

#### Return Value

A set of absolute Uris identifying the query modules to be loaded. There is no requirement that these correspond one-to-one with the URIs defined in the `locationHints`. The returned URIs will be dereferenced by calling the `GetEntity` method.

#### See Also

IQueryResolver Interface | Saxon.Api Namespace